For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve affiliate coupon

Retrieves the details of an existing affiliate coupon.

Request

Method
URL

GET

https://api.getrewardful.com/v1/affiliate_coupons/:id

Example

curl https://api.getrewardful.com/v1/affiliate_coupons/d0ed8392-8880-4f39-8715-60230f9eceab \
  -u YOUR_API_SECRET:

Response

Response code
Body

Not Found

Response code
Body

404

JSON error object

{  "error": "Affiliate coupon not found: " }

Authentication failure

Response code
Body

401

Description of the authentication failure.

{  "error": "Invalid API Secret." }

Last updated

Was this helpful?